Skip to content →

Tag: Reader

Auto héberger son Google Reader, part4

Ca y est, Google Reader est mort !!! J’ai bien fait d’anticiper cette série d’articles sur comment auto héberger son Google Reader.

Dernier petit tip sur la gestion du démarrage du script d’update :

Créer le fichier /etc/init.d/ttrss :

#!/bin/sh -e
# ligne de commande du programme
DAEMON="/var/www/rss/update_daemon2.php"
# argument à utiliser par le programme
DAEMON_OPT=""  #argument à utiliser par le programme
DAEMONUSER="www-data" #utilisateur du programme
DAEMON_NAME="ttrss" #Nom du programme (doit être identique à l'exécutable)

PATH="/sbin:/bin:/usr/sbin:/usr/bin" #Ne pas toucher

test -x $DAEMON || exit 0

. /lib/lsb/init-functions

d_start () {
        log_daemon_msg "Starting system $DAEMON_NAME Daemon"
        start-stop-daemon --background --name $DAEMON_NAME -c www-data -Sbx $DAEMON -- $DAEMON_OPT
        log_end_msg $?
}

d_stop () {
        log_daemon_msg "Stopping system $DAEMON_NAME Daemon"
        start-stop-daemon --name $DAEMON_NAME --stop --retry 5 --quiet --name $DAEMON_NAME
        log_end_msg $?
}

case "$1" in

        start|stop)
                d_${1}
                ;;

        restart|reload|force-reload)
                        d_stop
                        d_start
                ;;

        force-stop)
               d_stop
                killall -q $DAEMON_NAME || true
                sleep 2
                killall -q -9 $DAEMON_NAME || true
                ;;

        status)
                status_of_proc "$DAEMON_NAME" "$DAEMON" "system-wide $DAEMON_NAME" && exit 0 || exit $?
                ;;
        *)
                echo "Usage: /etc/init.d/$DAEMON_NAME {start|stop|force-stop|restart|reload|force-reload|status}"
                exit 1
                ;;
esac
exit 0

Ensuite, il faut suffit de taper les commandes suivantes :

[root@server:~]$ sudo chmod +x /etc/init.d/ttrss
[root@server:~]$ sudo chmod 0755 /etc/init.d/ttrss
[root@server:~]$ sudo update-rc.d ttrss defaults
update-rc.d: warning: /etc/init.d/ttrss missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
 Adding system startup for /etc/init.d/ttrss ...
   /etc/rc0.d/K20ttrss -> ../init.d/ttrss
   /etc/rc1.d/K20ttrss -> ../init.d/ttrss
   /etc/rc6.d/K20ttrss -> ../init.d/ttrss
   /etc/rc2.d/S20ttrss -> ../init.d/ttrss
   /etc/rc3.d/S20ttrss -> ../init.d/ttrss
   /etc/rc4.d/S20ttrss -> ../init.d/ttrss
   /etc/rc5.d/S20ttrss -> ../init.d/ttrss
[root@server:~]$ sudo chkconfig --list | grep ttrss
ttrss                     0:off  1:off  2:on   3:on   4:on   5:on   6:off

Si le service n’est pas activé, il suffit de faire un :

[root@server:~]$ sudo chkconfig ttrss on

Amusez vous bien !

Next time : un article pour clean up la base des articles vieux de x mois, car après plusieurs mois d’utilisation, la base peut vite atteindre les 70 / 100 MB…

Comments closed

Auto-héberger son Reader RSS Web

Marre, marre de la nouvelle politique de confidentialité Google.

Du coup, je me suis dit, pourquoi ne pas héberger un Google Reader like sur mon serveur dédié, vu que refusant un compte G+, je ne peux même plus partager à mes “amis GMail” des articles sans passer par le mail, ce qui n’est pas très fun (surtout quand avant G+ cela fonctionnait très bien.

Figurer vous, que comme souvent sur le net, une bonne recherche sur Google :p m’a donné mon bonheur, il s’agit de Tiny Tiny RSS, aka tt-rss. Bonus : l’appli dispose d’une API et des applis existent déjà officielles sur l’Android Market (avec un ptit bonus sécurité puisque l’appli supporte l’authentification basic HTTP en plus de l’identification à l’API)

Tiny Tiny RSS Reader - Version Web
Tiny Tiny RSS Reader – Version Web

 

Pour l’installer, rien de bien compliqué, il vous suffit de le télécharger ici (http://tt-rss.org/download/),

Suivre ces instructions (http://blog.rom1v.com/2011/06/tiny-tiny-rss-auto-hebergement-des-flux-rss/).

Installer une base MySQL pour le stockage des flux :

mysql> CREATE DATABASE flux;
Query OK, 1 row affected (0,00 sec

mysql> GRANT ALL PRIVILEGES ON flux.* TO rss@localhost IDENTIFIED BY 'rssreader';
Query OK, 0 rows affected (0.04 sec)

mysql> USE flux
Database changed

mysql> . ttrss_schema_mysql.sql

Copiez le fichier config.php initial dist et configurer le pour votre DB nouvellement créée.

L’application vous permet ensuite de configurer vos flux, d’importer vos ou votre Google Reader en OPML, en mode multi-utilisateurs ou non

Une fois installé et configuré à votre sauce, vous pouvez installer tt-rss sur votre Android ou y accéder depuis votre URL /mobile pour les iPhone.

Un bon moyen de sortir de l’emprise de Google assez simplement finalement.

Je galère encore un peu à cette heure à finaliser mon install (dodo), mais il n’y a plus qu’à comprendre le fonctionnement du poller en PHP et ça sera parfait.

Les pages du projet pour la doc, super cool à utiliser en Redmine :

http://tt-rss.org/redmine/

 

 

 

One Comment
en_USEN
fr_FRFR en_USEN